# Class ConnectionState

- Defined in packages/net/src/ConnectionState.ts:18

#####
Index

### Constructors

constructor

### Properties

cxn
pendingPublishes
pendingRequests

##
Constructors

### constructor

- new ConnectionState(cxn: Connection ): ConnectionState

- #### Parameters

  - cxn: Connection

  #### Returns ConnectionState

  - Defined in packages/net/src/ConnectionState.ts:22

##
Properties

### `Readonly` cxn

cxn: Connection

- Defined in packages/net/src/ConnectionState.ts:22

### pendingPublishes

pendingPublishes: Map<string, PublishState > = ...

- Defined in packages/net/src/ConnectionState.ts:19

### pendingRequests

pendingRequests: Map<string, RequestState > = ...

- Defined in packages/net/src/ConnectionState.ts:20